
Ryzom - Bug # 1506

Status: New Priority: Normal
Author: tebruno99 Category: Client: General
Created: 11/26/2012 Assignee:
Updated: 12/03/2012 Due date:
Subject: Village positioning being set to null after being loaded from village_sheet
Description

Ran into this issue with village position being reset to null after being read from the village_sheet.  This causes 2 bugs:

1) Buildings are not in the correct position.
2)  Load/ForceLoad/Unload calculations are incorrect as they use the original village_sheet CenterX and CenterY values.

Patch included.

History
#1 - 11/27/2012 03:25 am - tebruno99
- File sheetToIGpatch.diff added

After messing around some more, i'm not sure that the zonePos+sheetPos is the right choice for the position of the IG added to the IG array.  Here is
another alternative setting the IG position to the sheetPos because that seems visually to work better with the resources I was given.

I'm not sure which Coords to use for LoadDist, IG position, or sheet position so someone with more experience may have to dive into to that

#2 - 12/02/2012 10:22 am - Botanic

I was able to figure out that if you use an reference object the max plugin doesn't account for the position but if you use a scene reference it does.
Seems to be a bug in the plugin making this unnecessary.

#3 - 12/02/2012 10:23 am - Botanic

however being able to use the x,y isnt a bad idea tbh

Files
positionfix.diff 472 Bytes 11/26/2012 tebruno99
sheetToIGpatch.diff 1.1 kB 11/27/2012 tebruno99
